Archives du mot-clé fault

[Linux] Plantage de Mozilla Firefox sous Mageia suite à l’installation de Adblock Plus

Si il y a bien une application que j’installe toujours sur Firefox c’est Adblock Plus pour ne plus avoir autant de publicité en ligne. Sans cette extension, la plupart des sites ressemblent à des arbres de noël. Récemment j’ai re-installé mon poste de travail au sein de mon entreprise sous Mageia 2 en 64 bits. J’en ai profité pour ajouter la Mageia 2 en 32 bits sur mon PC portable personnel. Mais voila qu’en installant Adblock Plus [Link] mon Firefox a planté. Juste comme ça, fermé sans plus de message. J’ai pu le relancer mais dès que je voulais mettre à jour les listes d’abonnement de Adblock Plus, il se fermait. Je pouvais à la rigueur continuer ainsi si suite à une mise à jour du plugin je me suis retrouvé dans l’impossibilité de lancer mon navigateur favori. Certains me diront que j’aurais pu continuer avec Chrome (ou Chromium plutôt) mais je préfère le renard 😉

En le lançant en ligne de commande j’ai obtenu deux messages au départ, comme illustré ci-dessous.

[galsungen@localhost ~]$ firefox
Gtk-Message: Failed to load module « canberra-gtk-module »
Erreur de segmentation
[galsungen@localhost ~]$

Les deux messages sont indépendants. Pour le premier si nous regardons si canberra-gtk est installé, nous le trouverons bien.

[root@localhost ~]# urpmi canberra-gtk
Le paquetage canberra-gtk-0.28-10.mga2.i586 est déjà installé
[root@localhost ~]#

En fait il faut installer libcanberra-gtk0 (zéro) pour ne plus avoir ce souci.

[root@localhost ~]# urpmi libcanberra-gtk0
rsync://distrib-coffee.ipsl.jussieu.fr/pub/linux/Mageia/distrib/2/i586/media/core/release/libcanberra-gtk0-0.28-10.mga2.i586.rpm
installation de libcanberra-gtk0-0.28-10.mga2.i586.rpm depuis /var/cache/urpmi/rpms
Préparation…                   ################
1/1: libcanberra-gtk0      ################################
[root@localhost ~]#

Et la preuve :

[galsungen@localhost ~]$ firefox
Erreur de segmentation
[galsungen@localhost ~]$

Il nous reste donc le problème de l’erreur de segmentation (Segmentation Fault) qui est le vrai souci. Avec l’aide de Stormi nous avons fait remonter ce souci via un ticket de bug Mageia [Bug 8187]. Néanmoins il existe deux solutions testées et approuvées pour le moment de mon côté pour passer outre ce souci. La première est d’installer ce plugin via le paquet disponible dans les dépôts avec urpmi.

[root@localhost ~]# urpmi  firefox-ext-adblock-plus

La deuxième solution passe par l’installation et désinstallation de deux paquets. Il s’agit d’une astuce trouvée dans une remontée de bug pour l’utilisation du site jamendo qui plantait avec firefox.

[root@localhost ~]# urpmi libproxy-webkit
[root@localhost ~]# urpme  libproxy-mozjs

Sur système 64 bits ce seront les fichiers  « lib64proxy-webkit » et « lib64proxy-mozjs ». A l’issue d’une de ces deux manipulations, je n’ai pas eu de nouveaux soucis et j’ai pu utiliser Firefox correctement avec Adblock Plus (et paramétrer ce dernier). Voila j’espère que cela sera utile à d’autres comme manipulations en attendant un fix plus pérenne.